package org.gcube.portlets.user.geoportaldataentry.client;

import org.gcube.portlets.widgets.mpformbuilder.client.form.generic.CreateMetadataForm;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.core.client.GWT;
import com.google.gwt.event.shared.HandlerManager;
import com.google.gwt.user.client.ui.RootPanel;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class GeoPortalDataEntryApp implements EntryPoint {
	/**
	 * The message displayed to the user when the server cannot be reached or
	 * returns an error.
	 */
	private static final String SERVER_ERROR = "An error occurred while "
			+ "attempting to contact the server. Please check your network " + "connection and try again.";

	private static final String DIV_PORTLET_ID = "geoportal-data-entry";

	/**
	 * Create a remote service proxy to talk to the server-side Greeting service.
	 */
	private final GreetingServiceAsync greetingService = GWT.create(GreetingService.class);

	private final Messages messages = GWT.create(Messages.class);

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {

		String scope = "/gcube/devsec/devVRE";
		String secondaryType = "GeoNaMetadata";
		HandlerManager eventBus = new HandlerManager(null);
		CreateMetadataForm baseForm = new CreateMetadataForm(scope, secondaryType, eventBus);
		RootPanel.get(DIV_PORTLET_ID).add(baseForm);

	}
}
